function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 85);

T = test.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(35) = getPowerDeriv(T(1),(-1),1);
T(36) = (exp(y(80))-exp(y(26))*params(25))*(exp(y(80))-exp(y(26))*params(25));
T(37) = (-(exp(y(51))*exp(y(50))*(1-params(5))*exp(y(27))))/(exp(y(27))*exp(y(27)));
T(38) = exp(y(27))*getPowerDeriv(exp(y(27)),1+params(32),1);
T(39) = (-((-(exp(y(29))*params(24)*exp(y(2))))/(exp(y(2))*exp(y(2)))));
T(40) = (-(params(29)*exp(y(5))*exp(y(3))*exp(y(31))*exp(y(23))));
T(41) = (-(params(29)*exp(y(6))*exp(y(4))*exp(y(23))*exp(y(32))));
T(42) = exp(y(23))*exp(y(3))*exp(y(23))*exp(y(3));
T(43) = (-((-((1+params(4)*exp(y(68))*exp(y(33)))*exp(y(23))*exp(y(3))))/T(42)));
T(44) = (-(params(29)*exp(y(3))*exp(y(23))*(exp(y(31))-y(19))*exp(y(5))));
T(45) = (-(params(4)*exp(y(68))*exp(y(33))/(exp(y(23))*exp(y(3)))));
T(46) = (-(T(2)*exp(y(35))/exp(y(38))));
T(47) = (1-params(50))*(-(T(21)*params(4)*exp(y(94))*exp(y(84))*(1+y(91))));
T(48) = exp(y(23))*exp(y(4))*exp(y(23))*exp(y(4));
T(49) = (-((-((1+params(4)*exp(y(68))*exp(y(34)))*exp(y(23))*exp(y(4))))/T(48)));
T(50) = (-(params(29)*exp(y(4))*exp(y(23))*(exp(y(32))-y(19))*exp(y(6))));
T(51) = (-(params(4)*exp(y(68))*exp(y(34))/(exp(y(23))*exp(y(4)))));
T(52) = (-(exp(y(36))*exp(y(34))*params(27)/exp(y(38))));
T(53) = exp(y(38))*exp(y(38));
T(54) = (-(exp(y(38))*exp(y(37))*y(40)))/T(53);
T(55) = (1+exp(y(39)))*(1+exp(y(39)));
T(56) = (-((exp(y(42))*exp(y(39))*(1+exp(y(39)))-exp(y(39))*exp(y(42))*exp(y(39)))/T(55)));
T(57) = (-(((1+exp(y(39)))*exp(y(42))*params(27)*exp(y(39))-exp(y(39))*exp(y(42))*params(27)*exp(y(39)))/T(55)));
T(58) = exp(y(85))*exp(y(81))*exp(y(39))/exp(y(86));
T(59) = (-(y(63)*T(58)));
T(60) = (-(exp(y(42))*params(27)*exp(y(39))/(1+exp(y(39)))));
T(61) = (-(exp(y(45))*params(31)*exp(params(31)*y(10))))/(exp(params(31)*y(10))*exp(params(31)*y(10)));
T(62) = getPowerDeriv(T(16),y(70),1);
T(63) = (-(exp(y(86))*params(31)*exp(y(45)*params(31))))/(exp(y(45)*params(31))*exp(y(45)*params(31)));
T(64) = getPowerDeriv(T(11),y(70),1);
T(65) = getPowerDeriv(T(11),y(70)-1,1);
T(66) = exp(y(45))*exp(y(45));
T(67) = (-(T(2)*(-((-(exp(y(45))*params(4)*exp(y(15))))/T(66)))));
T(68) = exp(y(68))*exp(y(34))*params(10)*(-((-(params(4)*exp(y(45))))/T(66)));
T(69) = exp(y(86))*exp(y(86));
T(70) = (-((-(y(63)*exp(y(81))*exp(y(86))))/T(69)));
T(71) = (-(exp(y(86))*exp(y(81))*exp(y(85))))/T(69);
T(72) = (-(exp(y(86))*exp(y(85))*exp(y(81))*(1+exp(y(39)))))/T(69);
T(73) = (-(y(63)*T(72)));
T(74) = (-(exp(y(81))*exp(y(86))))/T(69);
T(75) = (1-params(50))*(-((1+params(4)*exp(y(94))*exp(y(84))*(1+y(91)))*T(74)));
T(76) = (-(y(70)/(y(70)-1)*exp(y(47))*exp(y(48))));
T(77) = (-(T(76)/(exp(y(48))*exp(y(48)))));
T(78) = exp(y(81))*params(5)*exp(y(88))*exp(y(89))/exp(y(53));
T(79) = exp(y(81))*(-(exp(y(53))*params(5)*exp(y(88))*exp(y(89))))/(exp(y(53))*exp(y(53)));
T(80) = (-(T(2)*(-(params(4)*exp(y(15))/exp(y(45))))));
T(81) = T(34)*getPowerDeriv(T(34),(-params(33)),1);
T(82) = (-(exp(y(60))*exp(y(16))))/(exp(y(16))*exp(y(16)));
T(83) = (-(T(24)*T(82)*2*T(26)));
T(84) = (-(exp(y(60))*exp(y(93))))/(exp(y(60))*exp(y(60)));
T(85) = (-(exp(y(47))*(y(70)-1-y(70))/((y(70)-1)*(y(70)-1))/exp(y(48))));

end
